From: "Andrey Utkin" <andrey_utkin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-power/acpid/
Date: Mon, 19 Aug 2019 17:52:23 +0000 (UTC) [thread overview]
Message-ID: <1566236874.cb95b2fb494eba1500bde97cb63b59ec76847e62.andrey_utkin@gentoo> (raw)
commit: cb95b2fb494eba1500bde97cb63b59ec76847e62
Author: Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 19 17:47:54 2019 +0000
Commit: Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Mon Aug 19 17:47:54 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb95b2fb
sys-power/acpid: add new version 2.0.32
Bugfixes-only release.
Package-Manager: Portage-2.3.66, Repoman-2.3.16
Signed-off-by: Andrey Utkin <andrey_utkin <AT> gentoo.org>
sys-power/acpid/Manifest | 1 +
sys-power/acpid/acpid-2.0.32.ebuild | 70 +++++++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/sys-power/acpid/Manifest b/sys-power/acpid/Manifest
index 2722fbf7310..dd947ab2f75 100644
--- a/sys-power/acpid/Manifest
+++ b/sys-power/acpid/Manifest
@@ -1,2 +1,3 @@
DIST acpid-2.0.31.tar.xz 155620 BLAKE2B 11338d72156dfd90f680367e23e373f8c4ee5e553ad4a8a9c9688163e9a97ee99a9b866940320ee5af5a9e9fe956dd3e675d0b879ea984c2cca56162c0d163fd SHA512 05eb96cdae698731b14caa89aa01239a0f16ce732f897d295447753aab7c8d49227c9b9ce901c6fd3bfdb117688e6ed80ec61aea0f64d75c9c0afe2aea2aa91a
+DIST acpid-2.0.32.tar.xz 155768 BLAKE2B 829b2f78f497d9c0bbd90d952cadad96beece3070240bee69f2a5cf28903e9e5f969a3bf9000552c63a52c17f8b94285a181f4301449a9b64c573032d9a4d255 SHA512 c7afffdf9818504e1ac03b0ad693a05f772bfd07af9808262b3b6bb82ca4dabe6253c94e6dc59e5be6f0da9e815e8bcf2d3e16f02b23d0248b6bad4509e78be7
DIST sys-power_acpid_2.0.29-r1_extras.tar.xz 2548 BLAKE2B 4568f0e44d33382fd294248d48c8852f689f0a6082d9b74b33b77918d3ce21d7f1bf8a3aafeaa252e8fe170b3829155344a256f01fe80414369f02d50a17ff55 SHA512 f2c366c50c75790df32a1f6573b7de640fd09a97c4598155ebd0aad2eba118961ddc82fe0fbb4dc935aa5b6d7fcfe3ade73fff555b4588b0e4579a1028bef12f
diff --git a/sys-power/acpid/acpid-2.0.32.ebuild b/sys-power/acpid/acpid-2.0.32.ebuild
new file mode 100644
index 00000000000..229b3a21d7e
--- /dev/null
+++ b/sys-power/acpid/acpid-2.0.32.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit linux-info systemd
+
+DESCRIPTION="Daemon for Advanced Configuration and Power Interface"
+HOMEPAGE="https://sourceforge.net/projects/acpid2"
+EXTRAS_VER="2.0.29-r1"
+EXTRAS_NAME="${CATEGORY}_${PN}_${EXTRAS_VER}_extras"
+SRC_URI="mirror://sourceforge/${PN}2/${P}.tar.xz
+ https://dev.gentoo.org/~andrey_utkin/distfiles/${EXTRAS_NAME}.tar.xz
+ "
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~x86"
+IUSE="selinux"
+
+RDEPEND="selinux? ( sec-policy/selinux-apm )"
+DEPEND=">=sys-kernel/linux-headers-3"
+
+pkg_pretend() {
+ local CONFIG_CHECK="~INPUT_EVDEV"
+ local WARNING_INPUT_EVDEV="CONFIG_INPUT_EVDEV is required for ACPI button event support."
+ [[ ${MERGE_TYPE} != buildonly ]] && check_extra_config
+}
+
+pkg_setup() { :; }
+
+PATCHES=(
+)
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ newdoc kacpimon/README README.kacpimon
+ dodoc -r samples
+ rm -f "${D}"/usr/share/doc/${PF}/COPYING || die
+
+ exeinto /etc/acpi
+ newexe "${WORKDIR}/${EXTRAS_NAME}/${PN}-1.0.6-default.sh" default.sh
+ exeinto /etc/acpi/actions
+ newexe samples/powerbtn/powerbtn.sh powerbtn.sh
+ insinto /etc/acpi/events
+ newins "${WORKDIR}/${EXTRAS_NAME}/${PN}-1.0.4-default" default
+
+ newinitd "${WORKDIR}/${EXTRAS_NAME}/${PN}-2.0.26-init.d" ${PN}
+ newconfd "${WORKDIR}/${EXTRAS_NAME}/${PN}-2.0.16-conf.d" ${PN}
+
+ systemd_dounit "${WORKDIR}"/${EXTRAS_NAME}/systemd/${PN}.{service,socket}
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ elog
+ elog "You may wish to read the Gentoo Linux Power Management Guide,"
+ elog "which can be found online at:"
+ elog "https://wiki.gentoo.org/wiki/Power_management/Guide"
+ elog
+ fi
+
+ # files/systemd/acpid.socket -> ListenStream=/run/acpid.socket
+ mkdir -p "${ROOT%/}"/run
+
+ if ! grep -qs "^tmpfs.*/run " "${ROOT%/}"/proc/mounts ; then
+ echo
+ ewarn "You should reboot the system now to get /run mounted with tmpfs!"
+ fi
+}
next reply other threads:[~2019-08-19 17:52 UTC|newest]
Thread overview: 59+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-08-19 17:52 Andrey Utkin [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-11-21 10:05 [gentoo-commits] repo/gentoo:master commit in: sys-power/acpid/ Marek Szuba
2023-10-26 13:04 Sam James
2023-10-26 12:49 Sam James
2023-10-26 12:49 Sam James
2022-11-12 0:56 Marek Szuba
2022-11-11 3:50 Sam James
2022-11-11 3:50 Sam James
2022-11-10 19:03 Arthur Zamarin
2022-09-20 8:51 Marek Szuba
2022-06-30 9:02 Marek Szuba
2022-06-30 7:01 Agostino Sarubbo
2022-06-29 11:58 Sam James
2022-06-29 7:58 Jakov Smolić
2022-05-19 7:28 WANG Xuerui
2022-04-01 13:55 Marek Szuba
2021-07-28 9:50 David Seifert
2021-05-27 14:34 Yixun Lan
2020-10-09 8:31 Agostino Sarubbo
2020-10-01 1:20 Sam James
2020-03-21 9:24 Mart Raudsepp
2020-02-24 13:11 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-18 16:24 Agostino Sarubbo
2020-02-17 23:16 Andrey Utkin
2020-02-17 23:16 Andrey Utkin
2019-12-19 23:20 Andrey Utkin
2019-12-19 23:20 Andrey Utkin
2019-01-18 9:57 Mart Raudsepp
2018-12-20 15:49 Mikle Kolyada
2018-12-20 1:30 Thomas Deutschmann
2018-12-16 11:38 Sergei Trofimovich
2018-11-16 12:59 Andrey Utkin
2018-11-07 21:20 Anthony G. Basile
2018-10-20 15:15 Mikle Kolyada
2018-10-20 11:35 Sergei Trofimovich
2018-10-19 17:52 Thomas Deutschmann
2018-09-14 20:02 Andrey Utkin
2018-09-14 20:02 Andrey Utkin
2018-09-08 13:57 Mart Raudsepp
2018-06-18 18:52 Andrey Utkin
2018-06-13 18:52 Markus Meier
2018-06-10 18:47 Sergei Trofimovich
2018-06-09 19:49 Aaron Bauman
2018-05-11 0:03 Andrey Utkin
2018-05-11 0:03 Andrey Utkin
2018-04-27 21:14 Andrey Utkin
2018-03-31 18:41 Mart Raudsepp
2018-03-12 13:39 Andrey Utkin
2018-03-10 13:22 Pacho Ramos
2018-03-10 13:22 Pacho Ramos
2017-09-02 14:18 Michael Palimaka
2017-01-04 17:09 Agostino Sarubbo
2017-01-04 16:56 Agostino Sarubbo
2016-12-21 22:54 Thomas Deutschmann
2016-09-22 10:57 Lars Wendler
2016-09-22 10:57 Lars Wendler
2016-03-19 14:26 Manuel Rüger
2015-10-08 13:10 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1566236874.cb95b2fb494eba1500bde97cb63b59ec76847e62.andrey_utkin@gentoo \
--to=andrey_utkin@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox